[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SeedRgDirectValueFunctor< Value > Class Template Reference Region Segmentation Algorithms |

Statistics functor to be used for seeded region growing. More...

`#include <vigra/seededregiongrowing.hxx>`

List of all members.

## Public Types
typedef Value | argument_type
typedef Value | cost_type
typedef Value | result_type
typedef Value | value_type
## Public Member Functions
cost_type const & | cost (argument_type const &v) const
void | operator() (argument_type const &) const

## Detailed Description

### template<class Value>
class vigra::SeedRgDirectValueFunctor< Value >

Statistics functor to be used for seeded region growing.

This functor can be used if the cost of a candidate during seededRegionGrowing() is equal to the feature value of that candidate and does not depend on properties of the region it is going to be merged with.

#include <vigra/seededregiongrowing.hxx>
Namespace: vigra

Required Interface:

no requirements

## Member Typedef Documentation

typedef Value argument_type

the functor's argument type

typedef Value result_type

the functor's result type (unused, only necessary for use of SeedRgDirectValueFunctor in vigra::ArrayOfRegionStatistics

typedef Value value_type

Deprecated:
  use argument_type

typedef Value cost_type

the return type of the cost() function

## Member Function Documentation

void operator() | ( | argument_type const & |  | ) | const

Do nothing (since we need not update region statistics).

cost_type const& cost | ( | argument_type const & | v | ) | const

Return argument (since cost is identical to feature value)

The documentation for this class was generated from the following file:

- vigra/seededregiongrowing.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)